Subject: bug#41400: closed (Re: bug#41400: Current biber version is incompatible with biblatex)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 31 May 2020 17:03:01 +0000

Your bug report

#41400: Current biber version is incompatible with biblatex

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41400: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41400
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41400: Current biber version is incompatible with biblatex
From: Ludovic Courtès <[email-masked]>
To: Mikhail Tsykalov <[email-masked]>
Cc: [email-masked]
Date: Sun, 31 May 2020 19:02:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Mikhail Tsykalov <[email-masked]> skribis:

> On 29.05.2020 18:38, Ludovic Courtès wrote:
>> Not long ago, I did this:
>>
>>    commit 40fd909e3ddee2c46a27a4fe92ed49d3e7ffb413
>>    Author: Ludovic Courtès <[email-masked]>
>>    Date:   Fri Apr 24 16:17:38 2020 +0200
>>
>>        gnu: biber: Downgrade to 2.11.
>>
>>        Biber 2.12 is incompatible with biblatex 3.11, which is what's currently
>>        packaged.  This is a followup to 41a010875ba4108e666f11fc111cf5bb5dcf5464.
>>
>>        * gnu/packages/tex.scm (biber): Downgrade to 2.11.
>>
>> However, it seems that biblatex has been updated in the meantime.
>>
>> Could you check whether reverting the commit above fixes the problem for
>> you?
>>
>> Thanks,
>> Ludo’.
>
> Yes, reverting 40fd909e3ddee2c46a27a4fe92ed49d3e7ffb413 seems to fix
> the problem.

OK, I’ll push the revert shortly.

> I have no idea why biber's test suite doesn't check that biblatex
> version is compatible.
>
> Can we add guix-specific check, so the package would fail to build if
> similar thing happens?

I don’t know why Biber’s test suite doesn’t do the relevant check, but I
don’t think we can it by ourselves.  There’s a biber/biblatex
compatibility matrix in the biblatex documentation:

  http://ctan.math.washington.edu/tex-archive/macros/latex/contrib/biblatex/doc/biblatex.pdf

(Linked from <https://ctan.org/pkg/biblatex>.)  I guess we just need to
double-check that when updating.  I’ve added a comment in the code.

Thanks!

Ludo’.

Subject: Current biber version is incompatible with biblatex
From: Mikhail Tsykalov <[email-masked]>
To: [email-masked]
Date: Tue, 19 May 2020 14:23:38 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

When running biber the following error appears:

ERROR - Error: Found biblatex control file version 3.5, expected version 
3.4.
This means that your biber (2.11) and biblatex (3.12) versions are 
incompatible.
See compat matrix in biblatex or biber PDF documentation.